import 'dart:ui';

import 'package:flutter/material.dart';

const seed = Color(0xFFE15241);

const lightColorScheme = ColorScheme(
  brightness: Brightness.light,
  primary : Color(0xFFAF2F22),
  onPrimary : Color(0xFFFFFFFF),
  primaryContainer : Color(0xFFFFDAD3),
  onPrimaryContainer : Color(0xFF410000),
  secondary : Color(0xFF775651),
  onSecondary : Color(0xFFFFFFFF),
  secondaryContainer : Color(0xFFFFDAD4),
  onSecondaryContainer : Color(0xFF2C1512),
  tertiary : Color(0xFF705C2E),
  onTertiary : Color(0xFFFFFFFF),
  tertiaryContainer : Color(0xFFFBDFA5),
  onTertiaryContainer : Color(0xFF261A00),
  error : Color(0xFFBA1B1B),
  errorContainer : Color(0xFFFFDAD4),
  onError : Color(0xFFFFFFFF),
  onErrorContainer : Color(0xFF410001),
  background : Color(0xFFFCFCFC),
  onBackground : Color(0xFF201A19),
  surface : Color(0xFFFCFCFC),
  onSurface : Color(0xFF201A19),
  surfaceVariant : Color(0xFFF5DEDA),
  onSurfaceVariant : Color(0xFF534341),
  outline : Color(0xFF867370),
  onInverseSurface : Color(0xFFFBEEEC),
  inverseSurface : Color(0xFF362F2E),
  inversePrimary : Color(0xFFFFB4A7),
  shadow : Color(0xFF000000),
);

const darkColorScheme = ColorScheme(
  brightness: Brightness.dark,
  primary : Color(0xFFFFB4A7),
  onPrimary : Color(0xFF680000),
  primaryContainer : Color(0xFF8E150D),
  onPrimaryContainer : Color(0xFFFFDAD3),
  secondary : Color(0xFFE7BDB6),
  onSecondary : Color(0xFF442A26),
  secondaryContainer : Color(0xFF5D3F3A),
  onSecondaryContainer : Color(0xFFFFDAD4),
  tertiary : Color(0xFFDEC38C),
  onTertiary : Color(0xFF3E2E04),
  tertiaryContainer : Color(0xFF564419),
  onTertiaryContainer : Color(0xFFFBDFA5),
  error : Color(0xFFFFB4A9),
  errorContainer : Color(0xFF930006),
  onError : Color(0xFF680003),
  onErrorContainer : Color(0xFFFFDAD4),
  background : Color(0xFF201A19),
  onBackground : Color(0xFFEDE0DE),
  surface : Color(0xFF201A19),
  onSurface : Color(0xFFEDE0DE),
  surfaceVariant : Color(0xFF534341),
  onSurfaceVariant : Color(0xFFD8C2BF),
  outline : Color(0xFFA08C89),
  onInverseSurface : Color(0xFF201A19),
  inverseSurface : Color(0xFFEDE0DE),
  inversePrimary : Color(0xFFAF2F22),
  shadow : Color(0xFF000000),
);